PROGRAM_NAME='LiveCore'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 01/02/2016  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:  Revision   3.0                            *)
(***********************************************************)
(*
Powered by Technidream for ANALOG WAY
*)

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

FeedBack_Loop=1

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

Long FeedBack_Loop_Steps [2]

(***********************************************************)
(*                INCLUDE CODE GOES BELOW                  *)
(***********************************************************)
INCLUDE 'LiveCore_User_Definitions.axi' //TO BE SET BY USER

INCLUDE 'LiveCore_Definitions.axi'	//DON'T MODIFY CONTENT OF THIS FILE!!!!!!	
					//***************************************

(***********************************************************)
(*             THE MODULES GOES BELOW                      *)
(***********************************************************)

// MANDATORY MODULES //
//**********************//
DEFINE_MODULE 'LiveCore_Proc_Com' LiveCore_Proc(LiveCore_Machine,
						LiveCore_Adresse,
						LiveCore_Port,
						LiveCore_Proc_COM,
						LiveCore_Modules_Array,
						LiveCore_Modules_Usage,
						LiveCore_General_Panel,
						LiveCore_Panels_Array)
						    
DEFINE_MODULE 'LiveCore_General' LiveCore_General  (LiveCore_Proc_COM,
						    LiveCore_General_COM,
						    Livecore_Machine_UDP,
						    LiveCore_Mac_Adress,
						    LiveCore_General_Panel)
						    

// OPTIONAL MODULES //
//******************//
DEFINE_MODULE 'LiveCore_Inputs' LiveCore_Inputs(LiveCore_Proc_COM,
						LiveCore_Inputs_COM,
						LiveCore_Inputs_Panel)
						
DEFINE_MODULE 'LiveCore_Frame_Logo' LiveCore_Frame_Logo(LiveCore_Proc_COM,
							LiveCore_Frame_Logo_COM,
							LiveCore_Frame_Logo_Panel)

DEFINE_MODULE 'LiveCore_Master_Presets' LiveCore_Master_Presets(LiveCore_Proc_COM,
								LiveCore_Master_Presets_COM,
								LiveCore_Master_Presets_Panel)
						
DEFINE_MODULE 'LiveCore_Filtering' LiveCore_Filtering  (LiveCore_Proc_COM,
							LiveCore_Filtering_COM,
							LiveCore_Filtering_Panel)
						
DEFINE_MODULE 'LiveCore_Screen' LiveCore_Screen1(LiveCore_Proc_COM,
						 LiveCore_Screen1_COM,
						 LiveCore_Screen1_Panel,
						 Screen1_Main_Background_Source,
						 Screen1_Main_Layers_Source,
						 Screen1_Preview_Background_Source,
						 Screen1_Preview_Layers_Source,
						 Layers_Snapshots,
						 Screen1)

DEFINE_MODULE 'LiveCore_Screen_Presets' LiveCore_Screen1_Presets   (LiveCore_Proc_COM,
								    LiveCore_Screen_Presets1_COM,
								    LiveCore_Screen1_Panel,
								    Screen1)

DEFINE_MODULE 'LiveCore_Screen' LiveCore_Screen2(LiveCore_Proc_COM,
						 LiveCore_Screen2_COM,
						 LiveCore_Screen2_Panel,
						 Screen2_Main_Background_Source,
						 Screen2_Main_Layers_Source,
						 Screen2_Preview_Background_Source,
						 Screen2_Preview_Layers_Source,
						 Layers_Snapshots,
						 Screen2)

DEFINE_MODULE 'LiveCore_Screen_Presets' LiveCore_Screen2_Presets   (LiveCore_Proc_COM,
								    LiveCore_Screen_Presets2_COM,
								    LiveCore_Screen2_Panel,
								    Screen2)

DEFINE_MODULE 'LiveCore_Monitoring' LiveCore_Monitoring1 (LiveCore_Proc_COM,
							  LiveCore_Monitoring1_COM,
							  LiveCore_Monitoring1_Panel,
							  LiveCore_Master_Device)
  
/*Uncomment if used and set LiveCore_Monitoring2_Usage to 1 in User definitions*/
/*
DEFINE_MODULE 'LiveCore_Monitoring' LiveCore_Monitoring2 (LiveCore_Proc_COM,
							  LiveCore_Monitoring2_COM,
							  LiveCore_Monitoring2_Panel,
							  LiveCore_Slave_Device)
*/
  
DEFINE_MODULE 'LiveCore_GPIO' LiveCore_GPIO(LiveCore_Proc_COM,
					      LiveCore_GPIO_COM,
					      LiveCore_GPIO_Panel)

DEFINE_MODULE 'LiveCore_Confidence' LiveCore_Confidence_Screen3(LiveCore_Proc_COM,
						                LiveCore_Confidence_COM,
								LiveCore_Confidence_Panel,
								Screen3
								)
  
(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START
//EXAMPLE FOR FEEDBACK (that's one possible way!)
//FEEBACK ACTIVE SOURCE FOR 8 SOURCES, 4 FRAMES AND 4 LOGOS
(**********************************************************)

FeedBack_Loop_Steps[1]=100
FeedBack_Loop_Steps[2]=100
TIMELINE_CREATE (FeedBack_Loop,FeedBack_Loop_Steps,2,TIMELINE_ABSOLUTE,TIMELINE_REPEAT)

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

Timeline_Event [FeedBack_Loop]
{
Switch (Timeline.Sequence)
    {
    Case 1 :
        {
	//Screen1 Main source Feedback
	[LiveCore_Screen1_Panel,150]=(Screen1_Main_Layers_Source[1] == $00)	//source layer 1 = input none
	[LiveCore_Screen1_Panel,151]=(Screen1_Main_Layers_Source[1] == $01)	//source layer 1 = input 1
	[LiveCore_Screen1_Panel,152]=(Screen1_Main_Layers_Source[1] == $02)	//source layer 1 = input 2
	[LiveCore_Screen1_Panel,153]=(Screen1_Main_Layers_Source[1] == $03)	//source layer 1 = input 3
	[LiveCore_Screen1_Panel,154]=(Screen1_Main_Layers_Source[1] == $04)	//source layer 1 = input 4
	[LiveCore_Screen1_Panel,155]=(Screen1_Main_Layers_Source[1] == $05)	//source layer 1 = input 5
	[LiveCore_Screen1_Panel,156]=(Screen1_Main_Layers_Source[1] == $06)	//source layer 1 = input 6
	[LiveCore_Screen1_Panel,157]=(Screen1_Main_Layers_Source[1] == $07)	//source layer 1 = input 7
	[LiveCore_Screen1_Panel,158]=(Screen1_Main_Layers_Source[1] == $08)	//source layer 1 = input 8

	[LiveCore_Screen1_Panel,159]=(Screen1_Main_Layers_Source[1] == $19)	//source layer 1 = Frame 1
	[LiveCore_Screen1_Panel,160]=(Screen1_Main_Layers_Source[1] == $1A)	//source layer 1 = Frame 2
	[LiveCore_Screen1_Panel,161]=(Screen1_Main_Layers_Source[1] == $1B)	//source layer 1 = Frame 3
	[LiveCore_Screen1_Panel,162]=(Screen1_Main_Layers_Source[1] == $1C)	//source layer 1 = Frame 4

	[LiveCore_Screen1_Panel,163]=(Screen1_Main_Layers_Source[1] == $21)	//source layer 1 = Logo 1
	[LiveCore_Screen1_Panel,164]=(Screen1_Main_Layers_Source[1] == $22)	//source layer 1 = Logo 2
	[LiveCore_Screen1_Panel,165]=(Screen1_Main_Layers_Source[1] == $23)	//source layer 1 = Logo 3
	[LiveCore_Screen1_Panel,166]=(Screen1_Main_Layers_Source[1] == $24)	//source layer 1 = Logo 4


	[LiveCore_Screen1_Panel,170]=(Screen1_Main_Layers_Source[2] == $00)	//source layer 2 = input none
	[LiveCore_Screen1_Panel,171]=(Screen1_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
	[LiveCore_Screen1_Panel,172]=(Screen1_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
	[LiveCore_Screen1_Panel,173]=(Screen1_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
	[LiveCore_Screen1_Panel,174]=(Screen1_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
	[LiveCore_Screen1_Panel,175]=(Screen1_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
	[LiveCore_Screen1_Panel,176]=(Screen1_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
	[LiveCore_Screen1_Panel,177]=(Screen1_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
	[LiveCore_Screen1_Panel,178]=(Screen1_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

	[LiveCore_Screen1_Panel,179]=(Screen1_Main_Layers_Source[2] == $19)	//source Layer 2 = Frame 1
	[LiveCore_Screen1_Panel,180]=(Screen1_Main_Layers_Source[2] == $1A)	//source Layer 2 = Frame 2
	[LiveCore_Screen1_Panel,181]=(Screen1_Main_Layers_Source[2] == $1B)	//source Layer 2 = Frame 3
	[LiveCore_Screen1_Panel,182]=(Screen1_Main_Layers_Source[2] == $1C)	//source Layer 2 = Frame 4

	[LiveCore_Screen1_Panel,183]=(Screen1_Main_Layers_Source[2] == $21)	//source Layer 2 = Logo 1
	[LiveCore_Screen1_Panel,184]=(Screen1_Main_Layers_Source[2] == $22)	//source Layer 2 = Logo 2
	[LiveCore_Screen1_Panel,185]=(Screen1_Main_Layers_Source[2] == $23)	//source Layer 2 = Logo 3
	[LiveCore_Screen1_Panel,186]=(Screen1_Main_Layers_Source[2] == $24)	//source Layer 2 = Logo 4


	[LiveCore_Screen1_Panel,190]=(Screen1_Main_Layers_Source[3] == $00)	//source layer 3 = input none
	[LiveCore_Screen1_Panel,191]=(Screen1_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
	[LiveCore_Screen1_Panel,192]=(Screen1_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
	[LiveCore_Screen1_Panel,193]=(Screen1_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
	[LiveCore_Screen1_Panel,194]=(Screen1_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
	[LiveCore_Screen1_Panel,195]=(Screen1_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
	[LiveCore_Screen1_Panel,196]=(Screen1_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
	[LiveCore_Screen1_Panel,197]=(Screen1_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
	[LiveCore_Screen1_Panel,198]=(Screen1_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8

	[LiveCore_Screen1_Panel,199]=(Screen1_Main_Layers_Source[3] == $19)	//source Layer 3 = Frame 1
	[LiveCore_Screen1_Panel,200]=(Screen1_Main_Layers_Source[3] == $1A)	//source Layer 3 = Frame 2
	[LiveCore_Screen1_Panel,201]=(Screen1_Main_Layers_Source[3] == $1B)	//source Layer 3 = Frame 3
	[LiveCore_Screen1_Panel,202]=(Screen1_Main_Layers_Source[3] == $1C)	//source Layer 3 = Frame 4

	[LiveCore_Screen1_Panel,203]=(Screen1_Main_Layers_Source[3] == $21)	//source Layer 3 = Logo 1
	[LiveCore_Screen1_Panel,204]=(Screen1_Main_Layers_Source[3] == $22)	//source Layer 3 = Logo 2
	[LiveCore_Screen1_Panel,205]=(Screen1_Main_Layers_Source[3] == $23)	//source Layer 3 = Logo 3
	[LiveCore_Screen1_Panel,206]=(Screen1_Main_Layers_Source[3] == $24)	//source Layer 3 = Logo 4

	//Screen2 Main source Feedback
	[LiveCore_Screen2_Panel,150]=(Screen2_Main_Layers_Source[1] == $00)	//source layer 1 = input none
	[LiveCore_Screen2_Panel,151]=(Screen2_Main_Layers_Source[1] == $01)	//source layer 1 = input 1
	[LiveCore_Screen2_Panel,152]=(Screen2_Main_Layers_Source[1] == $02)	//source layer 1 = input 2
	[LiveCore_Screen2_Panel,153]=(Screen2_Main_Layers_Source[1] == $03)	//source layer 1 = input 3
	[LiveCore_Screen2_Panel,154]=(Screen2_Main_Layers_Source[1] == $04)	//source layer 1 = input 4
	[LiveCore_Screen2_Panel,155]=(Screen2_Main_Layers_Source[1] == $05)	//source layer 1 = input 5
	[LiveCore_Screen2_Panel,156]=(Screen2_Main_Layers_Source[1] == $06)	//source layer 1 = input 6
	[LiveCore_Screen2_Panel,157]=(Screen2_Main_Layers_Source[1] == $07)	//source layer 1 = input 7
	[LiveCore_Screen2_Panel,158]=(Screen2_Main_Layers_Source[1] == $08)	//source layer 1 = input 8

	[LiveCore_Screen2_Panel,159]=(Screen2_Main_Layers_Source[1] == $19)	//source layer 1 = Frame 1
	[LiveCore_Screen2_Panel,160]=(Screen2_Main_Layers_Source[1] == $1A)	//source layer 1 = Frame 2
	[LiveCore_Screen2_Panel,161]=(Screen2_Main_Layers_Source[1] == $1B)	//source layer 1 = Frame 3
	[LiveCore_Screen2_Panel,162]=(Screen2_Main_Layers_Source[1] == $1C)	//source layer 1 = Frame 4

	[LiveCore_Screen2_Panel,163]=(Screen2_Main_Layers_Source[1] == $21)	//source layer 1 = Logo 1
	[LiveCore_Screen2_Panel,164]=(Screen2_Main_Layers_Source[1] == $22)	//source layer 1 = Logo 2
	[LiveCore_Screen2_Panel,165]=(Screen2_Main_Layers_Source[1] == $23)	//source layer 1 = Logo 3
	[LiveCore_Screen2_Panel,166]=(Screen2_Main_Layers_Source[1] == $24)	//source layer 1 = Logo 4


	[LiveCore_Screen2_Panel,170]=(Screen2_Main_Layers_Source[2] == $00)	//source layer 2 = input none
	[LiveCore_Screen2_Panel,171]=(Screen2_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
	[LiveCore_Screen2_Panel,172]=(Screen2_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
	[LiveCore_Screen2_Panel,173]=(Screen2_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
	[LiveCore_Screen2_Panel,174]=(Screen2_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
	[LiveCore_Screen2_Panel,175]=(Screen2_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
	[LiveCore_Screen2_Panel,176]=(Screen2_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
	[LiveCore_Screen2_Panel,177]=(Screen2_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
	[LiveCore_Screen2_Panel,178]=(Screen2_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

	[LiveCore_Screen2_Panel,179]=(Screen2_Main_Layers_Source[2] == $19)	//source Layer 2 = Frame 1
	[LiveCore_Screen2_Panel,180]=(Screen2_Main_Layers_Source[2] == $1A)	//source Layer 2 = Frame 2
	[LiveCore_Screen2_Panel,181]=(Screen2_Main_Layers_Source[2] == $1B)	//source Layer 2 = Frame 3
	[LiveCore_Screen2_Panel,182]=(Screen2_Main_Layers_Source[2] == $1C)	//source Layer 2 = Frame 4

	[LiveCore_Screen2_Panel,183]=(Screen2_Main_Layers_Source[2] == $21)	//source Layer 2 = Logo 1
	[LiveCore_Screen2_Panel,184]=(Screen2_Main_Layers_Source[2] == $22)	//source Layer 2 = Logo 2
	[LiveCore_Screen2_Panel,185]=(Screen2_Main_Layers_Source[2] == $23)	//source Layer 2 = Logo 3
	[LiveCore_Screen2_Panel,186]=(Screen2_Main_Layers_Source[2] == $24)	//source Layer 2 = Logo 4


	[LiveCore_Screen2_Panel,190]=(Screen2_Main_Layers_Source[3] == $00)	//source layer 3 = input none
	[LiveCore_Screen2_Panel,191]=(Screen2_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
	[LiveCore_Screen2_Panel,192]=(Screen2_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
	[LiveCore_Screen2_Panel,193]=(Screen2_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
	[LiveCore_Screen2_Panel,194]=(Screen2_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
	[LiveCore_Screen2_Panel,195]=(Screen2_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
	[LiveCore_Screen2_Panel,196]=(Screen2_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
	[LiveCore_Screen2_Panel,197]=(Screen2_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
	[LiveCore_Screen2_Panel,198]=(Screen2_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8

	[LiveCore_Screen2_Panel,199]=(Screen2_Main_Layers_Source[3] == $19)	//source Layer 3 = Frame 1
	[LiveCore_Screen2_Panel,200]=(Screen2_Main_Layers_Source[3] == $1A)	//source Layer 3 = Frame 2
	[LiveCore_Screen2_Panel,201]=(Screen2_Main_Layers_Source[3] == $1B)	//source Layer 3 = Frame 3
	[LiveCore_Screen2_Panel,202]=(Screen2_Main_Layers_Source[3] == $1C)	//source Layer 3 = Frame 4

	[LiveCore_Screen2_Panel,203]=(Screen2_Main_Layers_Source[3] == $21)	//source Layer 3 = Logo 1
	[LiveCore_Screen2_Panel,204]=(Screen2_Main_Layers_Source[3] == $22)	//source Layer 3 = Logo 2
	[LiveCore_Screen2_Panel,205]=(Screen2_Main_Layers_Source[3] == $23)	//source Layer 3 = Logo 3
	[LiveCore_Screen2_Panel,206]=(Screen2_Main_Layers_Source[3] == $24)	//source Layer 3 = Logo 4
	
	}
    Case 2 :
        {
	//Screen1 Preview source Feedback
	[LiveCore_Screen1_Panel,350]=(Screen1_Preview_Layers_Source[1] == $00)		//source layer 1 = input none
	[LiveCore_Screen1_Panel,351]=(Screen1_Preview_Layers_Source[1] == $01)		//source layer 1 = input 1
	[LiveCore_Screen1_Panel,352]=(Screen1_Preview_Layers_Source[1] == $02)		//source layer 1 = input 2
	[LiveCore_Screen1_Panel,353]=(Screen1_Preview_Layers_Source[1] == $03)		//source layer 1 = input 3
	[LiveCore_Screen1_Panel,354]=(Screen1_Preview_Layers_Source[1] == $04)		//source layer 1 = input 4
	[LiveCore_Screen1_Panel,355]=(Screen1_Preview_Layers_Source[1] == $05)		//source layer 1 = input 5
	[LiveCore_Screen1_Panel,356]=(Screen1_Preview_Layers_Source[1] == $06)		//source layer 1 = input 6
	[LiveCore_Screen1_Panel,357]=(Screen1_Preview_Layers_Source[1] == $07)		//source layer 1 = input 7
	[LiveCore_Screen1_Panel,358]=(Screen1_Preview_Layers_Source[1] == $08)		//source layer 1 = input 8

	[LiveCore_Screen1_Panel,359]=(Screen1_Preview_Layers_Source[1] == $19)		//source layer 1 = Frame 1
	[LiveCore_Screen1_Panel,360]=(Screen1_Preview_Layers_Source[1] == $1A)		//source layer 1 = Frame 2
	[LiveCore_Screen1_Panel,361]=(Screen1_Preview_Layers_Source[1] == $1B)		//source layer 1 = Frame 3
	[LiveCore_Screen1_Panel,362]=(Screen1_Preview_Layers_Source[1] == $1C)		//source layer 1 = Frame 4

	[LiveCore_Screen1_Panel,363]=(Screen1_Preview_Layers_Source[1] == $21)		//source layer 1 = Logo 1
	[LiveCore_Screen1_Panel,364]=(Screen1_Preview_Layers_Source[1] == $22)		//source layer 1 = Logo 2
	[LiveCore_Screen1_Panel,365]=(Screen1_Preview_Layers_Source[1] == $23)		//source layer 1 = Logo 3
	[LiveCore_Screen1_Panel,366]=(Screen1_Preview_Layers_Source[1] == $24)		//source layer 1 = Logo 4


	[LiveCore_Screen1_Panel,370]=(Screen1_Preview_Layers_Source[2] == $00)		//source layer 2 = input none
	[LiveCore_Screen1_Panel,371]=(Screen1_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
	[LiveCore_Screen1_Panel,372]=(Screen1_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
	[LiveCore_Screen1_Panel,373]=(Screen1_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
	[LiveCore_Screen1_Panel,374]=(Screen1_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
	[LiveCore_Screen1_Panel,375]=(Screen1_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
	[LiveCore_Screen1_Panel,376]=(Screen1_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
	[LiveCore_Screen1_Panel,377]=(Screen1_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
	[LiveCore_Screen1_Panel,378]=(Screen1_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

	[LiveCore_Screen1_Panel,379]=(Screen1_Preview_Layers_Source[2] == $19)		//source Layer 2 = Frame 1
	[LiveCore_Screen1_Panel,380]=(Screen1_Preview_Layers_Source[2] == $1A)		//source Layer 2 = Frame 2
	[LiveCore_Screen1_Panel,381]=(Screen1_Preview_Layers_Source[2] == $1B)		//source Layer 2 = Frame 3
	[LiveCore_Screen1_Panel,382]=(Screen1_Preview_Layers_Source[2] == $1C)		//source Layer 2 = Frame 4

	[LiveCore_Screen1_Panel,383]=(Screen1_Preview_Layers_Source[2] == $21)		//source Layer 2 = Logo 1
	[LiveCore_Screen1_Panel,384]=(Screen1_Preview_Layers_Source[2] == $22)		//source Layer 2 = Logo 2
	[LiveCore_Screen1_Panel,385]=(Screen1_Preview_Layers_Source[2] == $23)		//source Layer 2 = Logo 3
	[LiveCore_Screen1_Panel,386]=(Screen1_Preview_Layers_Source[2] == $24)		//source Layer 2 = Logo 4


	[LiveCore_Screen1_Panel,390]=(Screen1_Preview_Layers_Source[3] == $00)		//source layer 3 = input none
	[LiveCore_Screen1_Panel,391]=(Screen1_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
	[LiveCore_Screen1_Panel,392]=(Screen1_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
	[LiveCore_Screen1_Panel,393]=(Screen1_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
	[LiveCore_Screen1_Panel,394]=(Screen1_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
	[LiveCore_Screen1_Panel,395]=(Screen1_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
	[LiveCore_Screen1_Panel,396]=(Screen1_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
	[LiveCore_Screen1_Panel,397]=(Screen1_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
	[LiveCore_Screen1_Panel,398]=(Screen1_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8

	[LiveCore_Screen1_Panel,399]=(Screen1_Preview_Layers_Source[3] == $19)		//source Layer 3 = Frame 1
	[LiveCore_Screen1_Panel,400]=(Screen1_Preview_Layers_Source[3] == $1A)		//source Layer 3 = Frame 2
	[LiveCore_Screen1_Panel,401]=(Screen1_Preview_Layers_Source[3] == $1B)		//source Layer 3 = Frame 3
	[LiveCore_Screen1_Panel,402]=(Screen1_Preview_Layers_Source[3] == $1C)		//source Layer 3 = Frame 4

	[LiveCore_Screen1_Panel,403]=(Screen1_Preview_Layers_Source[3] == $21)		//source Layer 3 = Logo 1
	[LiveCore_Screen1_Panel,404]=(Screen1_Preview_Layers_Source[3] == $22)		//source Layer 3 = Logo 2
	[LiveCore_Screen1_Panel,405]=(Screen1_Preview_Layers_Source[3] == $23)		//source Layer 3 = Logo 3
	[LiveCore_Screen1_Panel,406]=(Screen1_Preview_Layers_Source[3] == $24)		//source Layer 3 = Logo 4

	//Screen2 Preview source Feedback
	[LiveCore_Screen2_Panel,350]=(Screen2_Preview_Layers_Source[1] == $00)		//source layer 1 = input none
	[LiveCore_Screen2_Panel,351]=(Screen2_Preview_Layers_Source[1] == $01)		//source layer 1 = input 1
	[LiveCore_Screen2_Panel,352]=(Screen2_Preview_Layers_Source[1] == $02)		//source layer 1 = input 2
	[LiveCore_Screen2_Panel,353]=(Screen2_Preview_Layers_Source[1] == $03)		//source layer 1 = input 3
	[LiveCore_Screen2_Panel,354]=(Screen2_Preview_Layers_Source[1] == $04)		//source layer 1 = input 4
	[LiveCore_Screen2_Panel,355]=(Screen2_Preview_Layers_Source[1] == $05)		//source layer 1 = input 5
	[LiveCore_Screen2_Panel,356]=(Screen2_Preview_Layers_Source[1] == $06)		//source layer 1 = input 6
	[LiveCore_Screen2_Panel,357]=(Screen2_Preview_Layers_Source[1] == $07)		//source layer 1 = input 7
	[LiveCore_Screen2_Panel,358]=(Screen2_Preview_Layers_Source[1] == $08)		//source layer 1 = input 8

	[LiveCore_Screen2_Panel,359]=(Screen2_Preview_Layers_Source[1] == $19)		//source layer 1 = Frame 1
	[LiveCore_Screen2_Panel,360]=(Screen2_Preview_Layers_Source[1] == $1A)		//source layer 1 = Frame 2
	[LiveCore_Screen2_Panel,361]=(Screen2_Preview_Layers_Source[1] == $1B)		//source layer 1 = Frame 3
	[LiveCore_Screen2_Panel,362]=(Screen2_Preview_Layers_Source[1] == $1C)		//source layer 1 = Frame 4

	[LiveCore_Screen2_Panel,363]=(Screen2_Preview_Layers_Source[1] == $21)		//source layer 1 = Logo 1
	[LiveCore_Screen2_Panel,364]=(Screen2_Preview_Layers_Source[1] == $22)		//source layer 1 = Logo 2
	[LiveCore_Screen2_Panel,365]=(Screen2_Preview_Layers_Source[1] == $23)		//source layer 1 = Logo 3
	[LiveCore_Screen2_Panel,366]=(Screen2_Preview_Layers_Source[1] == $24)		//source layer 1 = Logo 4


	[LiveCore_Screen2_Panel,370]=(Screen2_Preview_Layers_Source[2] == $00)		//source layer 2 = input none
	[LiveCore_Screen2_Panel,371]=(Screen2_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
	[LiveCore_Screen2_Panel,372]=(Screen2_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
	[LiveCore_Screen2_Panel,373]=(Screen2_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
	[LiveCore_Screen2_Panel,374]=(Screen2_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
	[LiveCore_Screen2_Panel,375]=(Screen2_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
	[LiveCore_Screen2_Panel,376]=(Screen2_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
	[LiveCore_Screen2_Panel,377]=(Screen2_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
	[LiveCore_Screen2_Panel,378]=(Screen2_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

	[LiveCore_Screen2_Panel,379]=(Screen2_Preview_Layers_Source[2] == $19)		//source Layer 2 = Frame 1
	[LiveCore_Screen2_Panel,380]=(Screen2_Preview_Layers_Source[2] == $1A)		//source Layer 2 = Frame 2
	[LiveCore_Screen2_Panel,381]=(Screen2_Preview_Layers_Source[2] == $1B)		//source Layer 2 = Frame 3
	[LiveCore_Screen2_Panel,382]=(Screen2_Preview_Layers_Source[2] == $1C)		//source Layer 2 = Frame 4

	[LiveCore_Screen2_Panel,383]=(Screen2_Preview_Layers_Source[2] == $21)		//source Layer 2 = Logo 1
	[LiveCore_Screen2_Panel,384]=(Screen2_Preview_Layers_Source[2] == $22)		//source Layer 2 = Logo 2
	[LiveCore_Screen2_Panel,385]=(Screen2_Preview_Layers_Source[2] == $23)		//source Layer 2 = Logo 3
	[LiveCore_Screen2_Panel,386]=(Screen2_Preview_Layers_Source[2] == $24)		//source Layer 2 = Logo 4


	[LiveCore_Screen2_Panel,390]=(Screen2_Preview_Layers_Source[3] == $00)		//source layer 3 = input none
	[LiveCore_Screen2_Panel,391]=(Screen2_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
	[LiveCore_Screen2_Panel,392]=(Screen2_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
	[LiveCore_Screen2_Panel,393]=(Screen2_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
	[LiveCore_Screen2_Panel,394]=(Screen2_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
	[LiveCore_Screen2_Panel,395]=(Screen2_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
	[LiveCore_Screen2_Panel,396]=(Screen2_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
	[LiveCore_Screen2_Panel,397]=(Screen2_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
	[LiveCore_Screen2_Panel,398]=(Screen2_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8

	[LiveCore_Screen2_Panel,399]=(Screen2_Preview_Layers_Source[3] == $19)		//source Layer 3 = Frame 1
	[LiveCore_Screen2_Panel,400]=(Screen2_Preview_Layers_Source[3] == $1A)		//source Layer 3 = Frame 2
	[LiveCore_Screen2_Panel,401]=(Screen2_Preview_Layers_Source[3] == $1B)		//source Layer 3 = Frame 3
	[LiveCore_Screen2_Panel,402]=(Screen2_Preview_Layers_Source[3] == $1C)		//source Layer 3 = Frame 4

	[LiveCore_Screen2_Panel,403]=(Screen2_Preview_Layers_Source[3] == $21)		//source Layer 3 = Logo 1
	[LiveCore_Screen2_Panel,404]=(Screen2_Preview_Layers_Source[3] == $22)		//source Layer 3 = Logo 2
	[LiveCore_Screen2_Panel,405]=(Screen2_Preview_Layers_Source[3] == $23)		//source Layer 3 = Logo 3
	[LiveCore_Screen2_Panel,406]=(Screen2_Preview_Layers_Source[3] == $24)		//source Layer 3 = Logo 4
	}
    }
}



/*
(****************************************************)
(*            THE PROGRAM GOES BELOW                *)
(****************************************************)
DEFINE_PROGRAM

//EXAMPLE FOR FEEDBACK (that's one possible way!)
//FEEBACK ACTIVE SOURCE FOR 8 SOURCES, 4 FRAMES AND 4 LOGOS

//DON'T USE THIS WAY FOR NX Series !!!!!!!

(**********************************************************)

//Screen1 Main source Feedback
[LiveCore_Screen1_Panel,151]=(Screen1_Main_Layers_Source[1] == $01)	//source layer 1 = input 1
[LiveCore_Screen1_Panel,152]=(Screen1_Main_Layers_Source[1] == $02)	//source layer 1 = input 2
[LiveCore_Screen1_Panel,153]=(Screen1_Main_Layers_Source[1] == $03)	//source layer 1 = input 3
[LiveCore_Screen1_Panel,154]=(Screen1_Main_Layers_Source[1] == $04)	//source layer 1 = input 4
[LiveCore_Screen1_Panel,155]=(Screen1_Main_Layers_Source[1] == $05)	//source layer 1 = input 5
[LiveCore_Screen1_Panel,156]=(Screen1_Main_Layers_Source[1] == $06)	//source layer 1 = input 6
[LiveCore_Screen1_Panel,157]=(Screen1_Main_Layers_Source[1] == $07)	//source layer 1 = input 7
[LiveCore_Screen1_Panel,158]=(Screen1_Main_Layers_Source[1] == $08)	//source layer 1 = input 8

[LiveCore_Screen1_Panel,159]=(Screen1_Main_Layers_Source[1] == $19)	//source layer 1 = Frame 1
[LiveCore_Screen1_Panel,160]=(Screen1_Main_Layers_Source[1] == $1A)	//source layer 1 = Frame 2
[LiveCore_Screen1_Panel,161]=(Screen1_Main_Layers_Source[1] == $1B)	//source layer 1 = Frame 3
[LiveCore_Screen1_Panel,162]=(Screen1_Main_Layers_Source[1] == $1C)	//source layer 1 = Frame 4

[LiveCore_Screen1_Panel,163]=(Screen1_Main_Layers_Source[1] == $21)	//source layer 1 = Logo 1
[LiveCore_Screen1_Panel,164]=(Screen1_Main_Layers_Source[1] == $22)	//source layer 1 = Logo 2
[LiveCore_Screen1_Panel,165]=(Screen1_Main_Layers_Source[1] == $23)	//source layer 1 = Logo 3
[LiveCore_Screen1_Panel,166]=(Screen1_Main_Layers_Source[1] == $24)	//source layer 1 = Logo 4


[LiveCore_Screen1_Panel,171]=(Screen1_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
[LiveCore_Screen1_Panel,172]=(Screen1_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
[LiveCore_Screen1_Panel,173]=(Screen1_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
[LiveCore_Screen1_Panel,174]=(Screen1_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
[LiveCore_Screen1_Panel,175]=(Screen1_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
[LiveCore_Screen1_Panel,176]=(Screen1_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
[LiveCore_Screen1_Panel,177]=(Screen1_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
[LiveCore_Screen1_Panel,178]=(Screen1_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

[LiveCore_Screen1_Panel,179]=(Screen1_Main_Layers_Source[2] == $19)	//source Layer 2 = Frame 1
[LiveCore_Screen1_Panel,180]=(Screen1_Main_Layers_Source[2] == $1A)	//source Layer 2 = Frame 2
[LiveCore_Screen1_Panel,181]=(Screen1_Main_Layers_Source[2] == $1B)	//source Layer 2 = Frame 3
[LiveCore_Screen1_Panel,182]=(Screen1_Main_Layers_Source[2] == $1C)	//source Layer 2 = Frame 4

[LiveCore_Screen1_Panel,183]=(Screen1_Main_Layers_Source[2] == $21)	//source Layer 2 = Logo 1
[LiveCore_Screen1_Panel,184]=(Screen1_Main_Layers_Source[2] == $22)	//source Layer 2 = Logo 2
[LiveCore_Screen1_Panel,185]=(Screen1_Main_Layers_Source[2] == $23)	//source Layer 2 = Logo 3
[LiveCore_Screen1_Panel,186]=(Screen1_Main_Layers_Source[2] == $24)	//source Layer 2 = Logo 4


[LiveCore_Screen1_Panel,191]=(Screen1_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
[LiveCore_Screen1_Panel,192]=(Screen1_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
[LiveCore_Screen1_Panel,193]=(Screen1_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
[LiveCore_Screen1_Panel,194]=(Screen1_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
[LiveCore_Screen1_Panel,195]=(Screen1_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
[LiveCore_Screen1_Panel,196]=(Screen1_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
[LiveCore_Screen1_Panel,197]=(Screen1_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
[LiveCore_Screen1_Panel,198]=(Screen1_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8

[LiveCore_Screen1_Panel,199]=(Screen1_Main_Layers_Source[3] == $19)	//source Layer 3 = Frame 1
[LiveCore_Screen1_Panel,200]=(Screen1_Main_Layers_Source[3] == $1A)	//source Layer 3 = Frame 2
[LiveCore_Screen1_Panel,201]=(Screen1_Main_Layers_Source[3] == $1B)	//source Layer 3 = Frame 3
[LiveCore_Screen1_Panel,202]=(Screen1_Main_Layers_Source[3] == $1C)	//source Layer 3 = Frame 4

[LiveCore_Screen1_Panel,203]=(Screen1_Main_Layers_Source[3] == $21)	//source Layer 3 = Logo 1
[LiveCore_Screen1_Panel,204]=(Screen1_Main_Layers_Source[3] == $22)	//source Layer 3 = Logo 2
[LiveCore_Screen1_Panel,205]=(Screen1_Main_Layers_Source[3] == $23)	//source Layer 3 = Logo 3
[LiveCore_Screen1_Panel,206]=(Screen1_Main_Layers_Source[3] == $24)	//source Layer 3 = Logo 4

//Screen2 Main source Feedback
[LiveCore_Screen2_Panel,151]=(Screen2_Main_Layers_Source[1] == $01)	//source layer 1 = input 1
[LiveCore_Screen2_Panel,152]=(Screen2_Main_Layers_Source[1] == $02)	//source layer 1 = input 2
[LiveCore_Screen2_Panel,153]=(Screen2_Main_Layers_Source[1] == $03)	//source layer 1 = input 3
[LiveCore_Screen2_Panel,154]=(Screen2_Main_Layers_Source[1] == $04)	//source layer 1 = input 4
[LiveCore_Screen2_Panel,155]=(Screen2_Main_Layers_Source[1] == $05)	//source layer 1 = input 5
[LiveCore_Screen2_Panel,156]=(Screen2_Main_Layers_Source[1] == $06)	//source layer 1 = input 6
[LiveCore_Screen2_Panel,157]=(Screen2_Main_Layers_Source[1] == $07)	//source layer 1 = input 7
[LiveCore_Screen2_Panel,158]=(Screen2_Main_Layers_Source[1] == $08)	//source layer 1 = input 8

[LiveCore_Screen2_Panel,159]=(Screen2_Main_Layers_Source[1] == $19)	//source layer 1 = Frame 1
[LiveCore_Screen2_Panel,160]=(Screen2_Main_Layers_Source[1] == $1A)	//source layer 1 = Frame 2
[LiveCore_Screen2_Panel,161]=(Screen2_Main_Layers_Source[1] == $1B)	//source layer 1 = Frame 3
[LiveCore_Screen2_Panel,162]=(Screen2_Main_Layers_Source[1] == $1C)	//source layer 1 = Frame 4

[LiveCore_Screen2_Panel,163]=(Screen2_Main_Layers_Source[1] == $21)	//source layer 1 = Logo 1
[LiveCore_Screen2_Panel,164]=(Screen2_Main_Layers_Source[1] == $22)	//source layer 1 = Logo 2
[LiveCore_Screen2_Panel,165]=(Screen2_Main_Layers_Source[1] == $23)	//source layer 1 = Logo 3
[LiveCore_Screen2_Panel,166]=(Screen2_Main_Layers_Source[1] == $24)	//source layer 1 = Logo 4


[LiveCore_Screen2_Panel,171]=(Screen2_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
[LiveCore_Screen2_Panel,172]=(Screen2_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
[LiveCore_Screen2_Panel,173]=(Screen2_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
[LiveCore_Screen2_Panel,174]=(Screen2_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
[LiveCore_Screen2_Panel,175]=(Screen2_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
[LiveCore_Screen2_Panel,176]=(Screen2_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
[LiveCore_Screen2_Panel,177]=(Screen2_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
[LiveCore_Screen2_Panel,178]=(Screen2_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

[LiveCore_Screen2_Panel,179]=(Screen2_Main_Layers_Source[2] == $19)	//source Layer 2 = Frame 1
[LiveCore_Screen2_Panel,180]=(Screen2_Main_Layers_Source[2] == $1A)	//source Layer 2 = Frame 2
[LiveCore_Screen2_Panel,181]=(Screen2_Main_Layers_Source[2] == $1B)	//source Layer 2 = Frame 3
[LiveCore_Screen2_Panel,182]=(Screen2_Main_Layers_Source[2] == $1C)	//source Layer 2 = Frame 4

[LiveCore_Screen2_Panel,183]=(Screen2_Main_Layers_Source[2] == $21)	//source Layer 2 = Logo 1
[LiveCore_Screen2_Panel,184]=(Screen2_Main_Layers_Source[2] == $22)	//source Layer 2 = Logo 2
[LiveCore_Screen2_Panel,185]=(Screen2_Main_Layers_Source[2] == $23)	//source Layer 2 = Logo 3
[LiveCore_Screen2_Panel,186]=(Screen2_Main_Layers_Source[2] == $24)	//source Layer 2 = Logo 4


[LiveCore_Screen2_Panel,191]=(Screen2_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
[LiveCore_Screen2_Panel,192]=(Screen2_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
[LiveCore_Screen2_Panel,193]=(Screen2_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
[LiveCore_Screen2_Panel,194]=(Screen2_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
[LiveCore_Screen2_Panel,195]=(Screen2_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
[LiveCore_Screen2_Panel,196]=(Screen2_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
[LiveCore_Screen2_Panel,197]=(Screen2_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
[LiveCore_Screen2_Panel,198]=(Screen2_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8

[LiveCore_Screen2_Panel,199]=(Screen2_Main_Layers_Source[3] == $19)	//source Layer 3 = Frame 1
[LiveCore_Screen2_Panel,200]=(Screen2_Main_Layers_Source[3] == $1A)	//source Layer 3 = Frame 2
[LiveCore_Screen2_Panel,201]=(Screen2_Main_Layers_Source[3] == $1B)	//source Layer 3 = Frame 3
[LiveCore_Screen2_Panel,202]=(Screen2_Main_Layers_Source[3] == $1C)	//source Layer 3 = Frame 4

[LiveCore_Screen2_Panel,203]=(Screen2_Main_Layers_Source[3] == $21)	//source Layer 3 = Logo 1
[LiveCore_Screen2_Panel,204]=(Screen2_Main_Layers_Source[3] == $22)	//source Layer 3 = Logo 2
[LiveCore_Screen2_Panel,205]=(Screen2_Main_Layers_Source[3] == $23)	//source Layer 3 = Logo 3
[LiveCore_Screen2_Panel,206]=(Screen2_Main_Layers_Source[3] == $24)	//source Layer 3 = Logo 4


//Screen1 Preview source Feedback
[LiveCore_Screen1_Panel,351]=(Screen1_Preview_Layers_Source[1] == $01)		//source layer 1 = input 1
[LiveCore_Screen1_Panel,352]=(Screen1_Preview_Layers_Source[1] == $02)		//source layer 1 = input 2
[LiveCore_Screen1_Panel,353]=(Screen1_Preview_Layers_Source[1] == $03)		//source layer 1 = input 3
[LiveCore_Screen1_Panel,354]=(Screen1_Preview_Layers_Source[1] == $04)		//source layer 1 = input 4
[LiveCore_Screen1_Panel,355]=(Screen1_Preview_Layers_Source[1] == $05)		//source layer 1 = input 5
[LiveCore_Screen1_Panel,356]=(Screen1_Preview_Layers_Source[1] == $06)		//source layer 1 = input 6
[LiveCore_Screen1_Panel,357]=(Screen1_Preview_Layers_Source[1] == $07)		//source layer 1 = input 7
[LiveCore_Screen1_Panel,358]=(Screen1_Preview_Layers_Source[1] == $08)		//source layer 1 = input 8

[LiveCore_Screen1_Panel,359]=(Screen1_Preview_Layers_Source[1] == $19)		//source layer 1 = Frame 1
[LiveCore_Screen1_Panel,360]=(Screen1_Preview_Layers_Source[1] == $1A)		//source layer 1 = Frame 2
[LiveCore_Screen1_Panel,361]=(Screen1_Preview_Layers_Source[1] == $1B)		//source layer 1 = Frame 3
[LiveCore_Screen1_Panel,362]=(Screen1_Preview_Layers_Source[1] == $1C)		//source layer 1 = Frame 4

[LiveCore_Screen1_Panel,363]=(Screen1_Preview_Layers_Source[1] == $21)		//source layer 1 = Logo 1
[LiveCore_Screen1_Panel,364]=(Screen1_Preview_Layers_Source[1] == $22)		//source layer 1 = Logo 2
[LiveCore_Screen1_Panel,365]=(Screen1_Preview_Layers_Source[1] == $23)		//source layer 1 = Logo 3
[LiveCore_Screen1_Panel,366]=(Screen1_Preview_Layers_Source[1] == $24)		//source layer 1 = Logo 4


[LiveCore_Screen1_Panel,371]=(Screen1_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
[LiveCore_Screen1_Panel,372]=(Screen1_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
[LiveCore_Screen1_Panel,373]=(Screen1_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
[LiveCore_Screen1_Panel,374]=(Screen1_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
[LiveCore_Screen1_Panel,375]=(Screen1_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
[LiveCore_Screen1_Panel,376]=(Screen1_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
[LiveCore_Screen1_Panel,377]=(Screen1_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
[LiveCore_Screen1_Panel,378]=(Screen1_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

[LiveCore_Screen1_Panel,379]=(Screen1_Preview_Layers_Source[2] == $19)		//source Layer 2 = Frame 1
[LiveCore_Screen1_Panel,380]=(Screen1_Preview_Layers_Source[2] == $1A)		//source Layer 2 = Frame 2
[LiveCore_Screen1_Panel,381]=(Screen1_Preview_Layers_Source[2] == $1B)		//source Layer 2 = Frame 3
[LiveCore_Screen1_Panel,382]=(Screen1_Preview_Layers_Source[2] == $1C)		//source Layer 2 = Frame 4

[LiveCore_Screen1_Panel,383]=(Screen1_Preview_Layers_Source[2] == $21)		//source Layer 2 = Logo 1
[LiveCore_Screen1_Panel,384]=(Screen1_Preview_Layers_Source[2] == $22)		//source Layer 2 = Logo 2
[LiveCore_Screen1_Panel,385]=(Screen1_Preview_Layers_Source[2] == $23)		//source Layer 2 = Logo 3
[LiveCore_Screen1_Panel,386]=(Screen1_Preview_Layers_Source[2] == $24)		//source Layer 2 = Logo 4


[LiveCore_Screen1_Panel,391]=(Screen1_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
[LiveCore_Screen1_Panel,392]=(Screen1_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
[LiveCore_Screen1_Panel,393]=(Screen1_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
[LiveCore_Screen1_Panel,394]=(Screen1_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
[LiveCore_Screen1_Panel,395]=(Screen1_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
[LiveCore_Screen1_Panel,396]=(Screen1_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
[LiveCore_Screen1_Panel,397]=(Screen1_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
[LiveCore_Screen1_Panel,398]=(Screen1_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8

[LiveCore_Screen1_Panel,399]=(Screen1_Preview_Layers_Source[3] == $19)		//source Layer 3 = Frame 1
[LiveCore_Screen1_Panel,400]=(Screen1_Preview_Layers_Source[3] == $1A)		//source Layer 3 = Frame 2
[LiveCore_Screen1_Panel,401]=(Screen1_Preview_Layers_Source[3] == $1B)		//source Layer 3 = Frame 3
[LiveCore_Screen1_Panel,402]=(Screen1_Preview_Layers_Source[3] == $1C)		//source Layer 3 = Frame 4

[LiveCore_Screen1_Panel,403]=(Screen1_Preview_Layers_Source[3] == $21)		//source Layer 3 = Logo 1
[LiveCore_Screen1_Panel,404]=(Screen1_Preview_Layers_Source[3] == $22)		//source Layer 3 = Logo 2
[LiveCore_Screen1_Panel,405]=(Screen1_Preview_Layers_Source[3] == $23)		//source Layer 3 = Logo 3
[LiveCore_Screen1_Panel,406]=(Screen1_Preview_Layers_Source[3] == $24)		//source Layer 3 = Logo 4

//Screen2 Preview source Feedback
[LiveCore_Screen2_Panel,351]=(Screen2_Preview_Layers_Source[1] == $01)		//source layer 1 = input 1
[LiveCore_Screen2_Panel,352]=(Screen2_Preview_Layers_Source[1] == $02)		//source layer 1 = input 2
[LiveCore_Screen2_Panel,353]=(Screen2_Preview_Layers_Source[1] == $03)		//source layer 1 = input 3
[LiveCore_Screen2_Panel,354]=(Screen2_Preview_Layers_Source[1] == $04)		//source layer 1 = input 4
[LiveCore_Screen2_Panel,355]=(Screen2_Preview_Layers_Source[1] == $05)		//source layer 1 = input 5
[LiveCore_Screen2_Panel,356]=(Screen2_Preview_Layers_Source[1] == $06)		//source layer 1 = input 6
[LiveCore_Screen2_Panel,357]=(Screen2_Preview_Layers_Source[1] == $07)		//source layer 1 = input 7
[LiveCore_Screen2_Panel,358]=(Screen2_Preview_Layers_Source[1] == $08)		//source layer 1 = input 8

[LiveCore_Screen2_Panel,359]=(Screen2_Preview_Layers_Source[1] == $19)		//source layer 1 = Frame 1
[LiveCore_Screen2_Panel,360]=(Screen2_Preview_Layers_Source[1] == $1A)		//source layer 1 = Frame 2
[LiveCore_Screen2_Panel,361]=(Screen2_Preview_Layers_Source[1] == $1B)		//source layer 1 = Frame 3
[LiveCore_Screen2_Panel,362]=(Screen2_Preview_Layers_Source[1] == $1C)		//source layer 1 = Frame 4

[LiveCore_Screen2_Panel,363]=(Screen2_Preview_Layers_Source[1] == $21)		//source layer 1 = Logo 1
[LiveCore_Screen2_Panel,364]=(Screen2_Preview_Layers_Source[1] == $22)		//source layer 1 = Logo 2
[LiveCore_Screen2_Panel,365]=(Screen2_Preview_Layers_Source[1] == $23)		//source layer 1 = Logo 3
[LiveCore_Screen2_Panel,366]=(Screen2_Preview_Layers_Source[1] == $24)		//source layer 1 = Logo 4


[LiveCore_Screen2_Panel,371]=(Screen2_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
[LiveCore_Screen2_Panel,372]=(Screen2_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
[LiveCore_Screen2_Panel,373]=(Screen2_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
[LiveCore_Screen2_Panel,374]=(Screen2_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
[LiveCore_Screen2_Panel,375]=(Screen2_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
[LiveCore_Screen2_Panel,376]=(Screen2_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
[LiveCore_Screen2_Panel,377]=(Screen2_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
[LiveCore_Screen2_Panel,378]=(Screen2_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

[LiveCore_Screen2_Panel,379]=(Screen2_Preview_Layers_Source[2] == $19)		//source Layer 2 = Frame 1
[LiveCore_Screen2_Panel,380]=(Screen2_Preview_Layers_Source[2] == $1A)		//source Layer 2 = Frame 2
[LiveCore_Screen2_Panel,381]=(Screen2_Preview_Layers_Source[2] == $1B)		//source Layer 2 = Frame 3
[LiveCore_Screen2_Panel,382]=(Screen2_Preview_Layers_Source[2] == $1C)		//source Layer 2 = Frame 4

[LiveCore_Screen2_Panel,383]=(Screen2_Preview_Layers_Source[2] == $21)		//source Layer 2 = Logo 1
[LiveCore_Screen2_Panel,384]=(Screen2_Preview_Layers_Source[2] == $22)		//source Layer 2 = Logo 2
[LiveCore_Screen2_Panel,385]=(Screen2_Preview_Layers_Source[2] == $23)		//source Layer 2 = Logo 3
[LiveCore_Screen2_Panel,386]=(Screen2_Preview_Layers_Source[2] == $24)		//source Layer 2 = Logo 4


[LiveCore_Screen2_Panel,391]=(Screen2_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
[LiveCore_Screen2_Panel,392]=(Screen2_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
[LiveCore_Screen2_Panel,393]=(Screen2_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
[LiveCore_Screen2_Panel,394]=(Screen2_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
[LiveCore_Screen2_Panel,395]=(Screen2_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
[LiveCore_Screen2_Panel,396]=(Screen2_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
[LiveCore_Screen2_Panel,397]=(Screen2_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
[LiveCore_Screen2_Panel,398]=(Screen2_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8

[LiveCore_Screen2_Panel,399]=(Screen2_Preview_Layers_Source[3] == $19)		//source Layer 3 = Frame 1
[LiveCore_Screen2_Panel,400]=(Screen2_Preview_Layers_Source[3] == $1A)		//source Layer 3 = Frame 2
[LiveCore_Screen2_Panel,401]=(Screen2_Preview_Layers_Source[3] == $1B)		//source Layer 3 = Frame 3
[LiveCore_Screen2_Panel,402]=(Screen2_Preview_Layers_Source[3] == $1C)		//source Layer 3 = Frame 4

[LiveCore_Screen2_Panel,403]=(Screen2_Preview_Layers_Source[3] == $21)		//source Layer 3 = Logo 1
[LiveCore_Screen2_Panel,404]=(Screen2_Preview_Layers_Source[3] == $22)		//source Layer 3 = Logo 2
[LiveCore_Screen2_Panel,405]=(Screen2_Preview_Layers_Source[3] == $23)		//source Layer 3 = Logo 3
[LiveCore_Screen2_Panel,406]=(Screen2_Preview_Layers_Source[3] == $24)		//source Layer 3 = Logo 4

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)
*/
